Get a public channel's info
curl --request POST \
--url https://api.stophy.dev/v1/telegram/channel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "durov"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'durov'})
};
fetch('https://api.stophy.dev/v1/telegram/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/telegram/channel"
payload = { "channel": "durov" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"channel": {
"url": "<string>",
"type": "channel",
"isVerified": true,
"hasPreview": true,
"id": "<string>",
"username": "<string>",
"name": "<string>",
"description": "<string>",
"avatar": "<string>",
"subscribers": 0,
"photos": 0,
"videos": 0,
"files": 0,
"links": 0
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Telegram
Telegram channel API
Call the Telegram channel API to get username, name, description, avatar, is verified and subscribers, as JSON or markdown. 1 credit.
POST
/
v1
/
telegram
/
channel
Get a public channel's info
curl --request POST \
--url https://api.stophy.dev/v1/telegram/channel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "durov"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'durov'})
};
fetch('https://api.stophy.dev/v1/telegram/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/telegram/channel"
payload = { "channel": "durov" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"channel": {
"url": "<string>",
"type": "channel",
"isVerified": true,
"hasPreview": true,
"id": "<string>",
"username": "<string>",
"name": "<string>",
"description": "<string>",
"avatar": "<string>",
"subscribers": 0,
"photos": 0,
"videos": 0,
"files": 0,
"links": 0
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
telegram.channel - Returns:
datahaschannel. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.telegram.channel({ channel: "durov" });
console.log(result.data.channel);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.telegram.channel(channel="durov")
print(result["data"]["channel"])
curl -X POST https://api.stophy.dev/v1/telegram/channel \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"channel":"durov"}'
stophy telegram channel durov
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json